using Pkg
Pkg.activate(".")
import RidePooling
RP = RidePooling
include("./sim_functions.jl")



request_type=:earliest_pickup                       # request_type that should be simulated
#name="test_1"                                         # Name of the simulation
path="/scratch01.local/rhaag/$(String(request_type))/$name/"  # Path were everything will be saved


# Simulation Settings
N=10 #Number of Busses
requested = 200 * N        # Number of requests, that need to be made
served = 200 * N           # Number of requests, that need to be served

#Random Generator
rng_type = :notRandom

# For mapping the 1D Index to 2D
xBounds = (4, 60)
yBounds = (0.1, 1.5)
im_size = (40, 40)
indexing_method = getLogLogValue



# File Organization
paths = Dict(:data => "/results/data/",
            :model => "/results/model/",
            :map => "/example_map/map/",
            :dispatcher => "/example_map/delays_wt1reldelta1/")




# Functions
indexing(index) = indexing_method(index-1, xBounds..., im_size[1], yBounds..., im_size[2])

for (name, subdir) in paths
    paths[name] = path * subdir
end
